XmlRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render.xml
[Groovy] Class XmlRenderer

    java.lang.Object
      org.grails.plugins.web.rest.render.xml.DefaultXmlRenderer
          grails.rest.render.xml.XmlRenderer

    @groovy.transform.CompileStatic
    class XmlRenderer
    extends DefaultXmlRenderer

An XML renderer that allows including / excluding properties

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.util.List` | `excludes` The properties to be excluded
`GrailsApplication` | `grailsApplication`
`java.util.List` | `includes` The properties to be included
`ProxyHandler` | `proxyHandler`

Constructor Summary
`XmlRenderer(java.lang.Class targetType)`
`XmlRenderer(java.lang.Class targetType, MimeType... mimeTypes)`

Method Summary
`void` | `registerCustomConverter()`
`protected void` | `registerCustomMarshaller(ObjectMarshaller marshaller)`
`protected void` | `renderXml(XML converter, RenderContext context)`

Methods inherited from class DefaultXmlRenderer
render, renderXml, renderXml

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### excludes

    java.util.List excludes

  The properties to be excluded

### grailsApplication

    @org.springframework.beans.factory.annotation.Autowired
    GrailsApplication grailsApplication

### includes

    java.util.List includes

  The properties to be included

### proxyHandler

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    ProxyHandler proxyHandler

Constructor Detail

### XmlRenderer

    XmlRenderer(java.lang.Class targetType)

### XmlRenderer

    XmlRenderer(java.lang.Class targetType, MimeType... mimeTypes)

Method Detail

### registerCustomConverter

    @javax.annotation.PostConstruct
    void registerCustomConverter()

### registerCustomMarshaller

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void registerCustomMarshaller(ObjectMarshaller marshaller)

### renderXml

    @java.lang.Override
    protected void renderXml(XML converter, RenderContext context)

Groovy Documentation